### Signal

# RB TrackTransferBatch::overwrite-prompt

#### Declaration

    void
    overwrite_prompt (
      RBTrackTransferBatch* self,
      gchar* uri,
      gpointer user_data
    )

#### Description [src]

Emitted when the destination URI for a transfer already exists. The handler must call _rb_track_transfer_batch_continue or _rb_track_transfer_batch_cancel when it has figured out what to do.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`uri`

  Type: `gchar*`

  The destination URI that already exists.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.